File 0001-Make-xtrxdsp-compile-with-older-gcc-versions.patch of Package libxtrxdsp

From d04959ba0211bec5e3d205fbaefe63e9b8a05f7f Mon Sep 17 00:00:00 2001
From: Martin Hauke <mardnh@gmx.de>
Date: Wed, 13 Dec 2017 22:01:31 +0100
Subject: [PATCH] Make xtrxdsp compile with older gcc versions

---
 xtrxdsp.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/xtrxdsp.c b/xtrxdsp.c
index 57ead3c..7fc94d9 100644
--- a/xtrxdsp.c
+++ b/xtrxdsp.c
@@ -55,7 +55,9 @@ static void cpu_features_init(cpu_features_t* features)
 	features->sse2 = __builtin_cpu_supports("sse2");
 	features->sse41 = __builtin_cpu_supports("sse4.1");
 	features->avx = __builtin_cpu_supports("avx");
+        #if (__GNUC__ >= 5) && (__GNUC__ > 5 || __GNUC_MINOR__ > 2)
 	features->fma = __builtin_cpu_supports("fma");
+	#endif
 
 	INFORM("CPU Features: SSE2%c SSE4.1%c AVX%c FMA%c\n",
 		   features->sse2 ? '+' : '-',
-- 
2.13.6